## raeddit 0.41-1

=== Makefile ===
all: raeddit

raeddit: raeddit.c greddit2.c
	gcc `pkg-config --cflags --libs glib-2.0 hildon-1 json-glib-1.0 libcurl dbus-glib-1 gthread-2.0` raeddit.c greddit2.c -o raeddit

install: raeddit raeddit.png raeddit.desktop
	install -d ${DESTDIR}/usr/bin
	install raeddit ${DESTDIR}/usr/bin
	install -d ${DESTDIR}/usr/share/applications/hildon
	install raeddit.desktop ${DESTDIR}/usr/share/applications/hildon
	install -d ${DESTDIR}/usr/share/pixmaps
	install raeddit.png ${DESTDIR}/usr/share/pixmaps

## raeddit 0.40-1

=== debian/changelog ===
raeddit (0.40-1) unstable; urgency=low

  * Initial release

 -- Thomas Thurman <tthurman@gnome.org>  Thu, 04 Sep 2009 17:33:32 -0400

=== debian/control ===
Source: raeddit
Section: user/network
Priority: extra
Maintainer: Thomas Thurman <tthurman@gnome.org>
Build-Depends: debhelper (>= 4), libjson-glib-dev, libhildon1-dev, libcurl3-dev, libdbus-glib-1-dev, libdbus-1-dev
Standards-Version: 4

Package: raeddit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: View what's new online
  A simple front end to the social bookmarking site Reddit.
Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAAAAAAAA+UO7fwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
  SU1FB9kJAhc6H+80K8QAAAAZdEVYdENvbW1lbnQAQ3JlYXRlZCB3aXRoIEdJ
  TVBXgQ4XAAAGd0lEQVRIx61Wa0xU6Rl+vjPMTXRghsAMg4grLDDc7cigoCJh
  lwKrCN1Sq2GrptRsUy4D0XZJ3XV1txo12Wyz3aRJN6U0Zje7RblfdOka00Gs
  YNmpVbrKHUeWwsDI5TDM5bz9gUyZqpuu6ZN8yTnPe/I97/O+7/flAM+BHenp
  T3A/Ky3F/qIi/N+RkZnJdmZk+Bx47TWOiDx85bFj3KaICKlGq5VtMRgkv/vo
  IxARuG8rUG40AgDsdnua2+1+h19YKN6Tl7fRPyDAFwBnsVgKlErliFqtXpTJ
  ZL1/vXkz7BdVVWDP62hjePhvfNesMbjd7lmXy2Vwud1DCoWia3p6uujTTz7x
  Td22jX515gyrra1tdDgc+c8lcuLEibD4pKRL2tDQAgAgIq6isjIhUKP5ZVZ2
  tm1qaoqISBgdHSU/leoG8/H5dobeqKoCAMTExf1AbzDU7Ni1K3F1nIjWhISG
  3mxsaqLBwUE69e67pE9O/mN8YuL/JtTY1OT1vuGFF86mbt/+oc1mWwcAZrMZ
  x998EwBQUFj4skarNUXqdP3aDRvaPv3ss0337t17+saVR48+lSciH6PRuDE+
  MfFipE5X8qzEiMjH6XRuWs19o6Uyo1FR39AQZrFYVOHh4cFRkZEhjx49iuV5
  Plnh59e7ZLdf7evrm2AcZ42Ojn5ounbtAWOMnrYXA4DvFRaG3OjqipDJZM79
  Bw7c/6qvT/ji6tWUqKiozLCwsJfkcnmcVCrl/Pz8oPT3h1gsxvz8PP41OQnH
  0hKWHI6JmZmZ6/39/R0CUec/79y5vVmvj7jf369WKZX86PBwL8t/9dXvjI2N
  /XyLXr+L47jFy1eudCj9/YXYuLgDkdG6tRnp6dAnJUIqldJTKkAA2ODQEEwm
  E7p7etA/MNBtNpvrNyclZaxfv15ns9mmTZ2d1dAbDDffOX2ahkdG6MzZs6SL
  i6Pz771HltERIutDgaYniIhIEATPIiISHEvkGv6K3F+P0WMIRETNLS30/X37
  aNv27fT327fJ1NlJWTk5hNiEBCIi4XpXF+Xl59OVjg4iInJ31NKsMZ/mT5eQ
  s+9v5AWBaOnzWpo9Wkhzxw+S8+4tTwJERFNTU2SsrKQ3qqqIiIS6+npCpE5H
  U1ar8HJ2NjW3tCyLTD6kRz/NIWt6IE1/N4z435700nHbrDR3/CBZd6jIunUt
  8RfeJ8HOe5wTEfE8T7vz8qi1rU34Q00N+TDgQklpaZFGraZXcnOXeyCVw2dT
  NFzmTjBVELjQCO8JkvuCC1oPJhIBEgVEgVrAR7wcYwxEBLlcjpNvv43yigrm
  drmmsXv37rCQ0NDBtvZ2T6EFt5tcYwNkb6ihpWvNJMzOkFcjiMg12k/25gu0
  9PlFEmxWr9hqxMTH0xaD4RgAYLNe39X75Zde1v8bHn7VQDwRX8WvfJORmUm1
  Fy/u4qJiYhiAB/0DA6tP9rNO/PI8M/YEz5br9p/yLj+TzWbD+Pj4P7jU1FSK
  jY1tqq6uXjkXYIzB6XSiuaUFZUYjbDYbGGOeBQA9t27BWFmJ7p6eZW6VyONE
  qf3yZcbz/I3SkpIp9heTCX+qrVV2d3ebDh06FHOkuJiIiAHA2NgYLnz8MTqv
  X8f83Bz8/P3hdDrBLyxAq9Vib14ecnNyoFAovN0xhtnZWWTl5EAiFmeKJZIv
  PGns27/fMDwycvnHhw/7/6S4mAAwIsLc3BwmJyexuLgIh8MBTiSCRCLBWl9f
  qNVqSKVST6lXyjU+Ps6OvP46GMedj3rxxePnz51zeDL5emKCvbJnz9ZtaWl3
  Dh4+TBaL5VmD9E0QqmtqKG3nTtInJ5eVlpf7eXpW39CA/L17PbaTU1KCZTLZ
  EZfbXRUbEyP9UVERpaWlMZFI9MxbfnBwEI3NzVRXV8cA3BCJREZfX9/e5sZG
  BwCUV1QsD8tqMQAoKSuT371794dWq/X3SpUKPM+DAYiIiEBAQAA4jsP8/Dwe
  WCwYHR1FVGQkzGYzNBrNOXVQ0K/rLl16uLJXVnY2rrS3e9/G2bm5aG9thSYk
  RGm322eCg4Nf+vCDD7A1JQX37t9HV1cXBoeGACIEBAQgPiEBm5OSHgRrNPze
  goKFlra22eysLFlmZuZipdHoOnnqFE689RYAwGe1UHtr60oJZwRBYCD6s0Kh
  gFwuh0qlgkwmg4jjQEQQSyRYt24dggIDAYDEEglzu1wgYE4QhOWfmMciAPBv
  BF8H1uFQU/oAAAAASUVORK5CYII=

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DH_COMPAT=4



CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/raeddit.sgml > raeddit.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/raeddit.
	$(MAKE) DESTDIR=$(CURDIR)/debian/raeddit install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## raeddit 0.41-1

=== debian/changelog ===
raeddit (0.41-1) unstable; urgency=low

  * Fixed installer icon

 -- Thomas Thurman <tthurman@gnome.org>  Fri, 05 Sep 2009 23:42:12 -0400

## raeddit 0.50-1

=== debian/changelog ===
raeddit (0.50-1) unstable; urgency=low

  * Added menu when user selects a link

 -- Thomas Thurman <tthurman@gnome.org>  Thu, 10 Sep 2009 13:03:03 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: View what's new online
   A simple front end to the social bookmarking site Reddit.
-Maemo-Icon-26:
+XB-Maemo-Icon-26:
   iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
   6QAAAAZiS0dEAAAAAAAA+UO7fwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
   SU1FB9kJAhc6H+80K8QAAAAZdEVYdENvbW1lbnQAQ3JlYXRlZCB3aXRoIEdJ

## raeddit 0.60-1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 all: raeddit
 
-raeddit: raeddit.c greddit2.c
-	gcc `pkg-config --cflags --libs glib-2.0 hildon-1 json-glib-1.0 libcurl dbus-glib-1 gthread-2.0` raeddit.c greddit2.c -o raeddit
+raeddit: raeddit.c greddit2.c sharing.c
+	gcc -g `pkg-config --cflags --libs glib-2.0 hildon-1 json-glib-1.0 libcurl dbus-glib-1 gthread-2.0` raeddit.c greddit2.c sharing.c -o raeddit
 
 install: raeddit raeddit.png raeddit.desktop
 	install -d ${DESTDIR}/usr/bin

=== debian/changelog ===
raeddit (0.60-1) unstable; urgency=low

  * Added sharing menu.

 -- Thomas Thurman <tthurman@gnome.org>  Thu, 12 Sep 2009 21:02:22 -0400

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Package: raeddit
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: microfeed
 Description: View what's new online
   A simple front end to the social bookmarking site Reddit.
 XB-Maemo-Icon-26:
